## mysql-community 5.7.18

=== debian/changelog ===
mysql-community (5.7.18-1ubuntu16.04) xenial; urgency=low

  [ Akhil Mohan ]
  * new upstream release
  * Added new libtest_* plugins to source/include-binaries, mysql-*-test.install
  * added new plugin to source/include-binaries, mysql-*-test.install
    libtest_framework
    libtest_services
    libtest_services_threaded
    locking_service
    test_security_context
    version_token
  * added support for MECAB in
    d/{control,rules,mysql-*-server.install,source/include-binaries}
    (Closes: #20315007)
  * added automatic setup of ssl certs in
    d/mysql-*-server.mysql.init
    d/extra/mysql-systemd-start
    (Closes: #20650118)
  * removed pkg mysql-*-bench; sqlbench will not be packaged
    (Closes: #21303289)
  * removed cleanup statement for client lib symlinks *_r in d/rules
    (Closes: #21311067)

  [ Balasubramanian Kandasamy ]
  * Added mysqlpump man page to d/mysql-*-client.install
  * Added new decompression utilities lz4_decompress and zlib_decompress
    binaries.
  * Added mysqlx plugin

  [ Lars Tangvald ]
  * Added keyring directory and plugin

 -- Balasubramanian Kandasamy <balasubramanian.kandasamy@oracle.com>  Wed, 26 Aug 2015 15:20:12 +0530

=== debian/control ===
Source: mysql-community
Maintainer: MySQL Release Engineering <mysql-build@oss.oracle.com>
Section: database
Priority: optional
Standards-Version: 3.9.6
Homepage: http://www.mysql.com/
Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5)


Package: mysql-server
Architecture: any
Depends: mysql-community-server (= ${binary:Version}), ${misc:Depends}
Description: MySQL Server meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql server
 package available in the repository.

Package: mysql-community-server
Architecture: any
Pre-depends: debconf (>= 0.2.17), adduser
Depends: mysql-common (>= ${binary:Version}), mysql-client (= ${binary:Version}), perl, psmisc,
 ${shlibs:Depends}, ${misc:Depends}
Breaks: mysql-common (<< 5.7.14), mysql-community-client (<< 5.7)
Conflicts: mysql,
 mysql-server-5.0, mysql-server-core-5.0,
 mysql-server-5.1, mysql-server-core-5.1,
 mysql-server-5.5, mysql-server-core-5.5,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-commercial-server,
 mysql-cluster-community-server, mysql-cluster-commercial-server,
 mariadb-server-5.5, mariadb-server-core-5.5,
 mariadb-server-10.0, mariadb-server-core-10.0,
 mariadb-server-10.1, mariadb-server-core-10.1,
 mariadb-server-10.2, mariadb-server-core-10.2
Replaces: mysql,
 mysql-server-5.0, mysql-server-core-5.0,
 mysql-server-5.1, mysql-server-core-5.1,
 mysql-server-5.5, mysql-server-core-5.5,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-community-client (<< 5.7),
 mysql-commercial-server,
 mysql-cluster-community-server, mysql-cluster-commercial-server,
 mysql-common (<< 5.7.14)
Provides: virtual-mysql-server, virtual-mysql-server-core
Description: MySQL Server
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package includes the MySQL server binary as well as related
 utilities to run and administer a MySQL server.

Package: mysql-client
Architecture: any
Depends: mysql-community-client (= ${binary:Version}), ${misc:Depends}
Description: MySQL Client meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql client
 package available in the repository.

Package: mysql-community-client
Architecture: any
Depends: mysql-common (>= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Breaks: mysql-common (<< 5.7.17), libmysqlclient-dev (<< 5.7.14)
Conflicts: mysql,
 mysql-client-5.0, mysql-client-core-5.0,
 mysql-client-5.1, mysql-client-core-5.1,
 mysql-client-5.5, mysql-client-core-5.5,
 mysql-client-5.6, mysql-client-core-5.6,
 mysql-client-5.7, mysql-client-core-5.7,
 mysql-commercial-client,
 mysql-cluster-community-client, mysql-cluster-commercial-client,
 mariadb-client-5.5, mariadb-client-core-5.5,
 mariadb-client-10.0, mariadb-client-core-10.0,
 mariadb-client-10.1, mariadb-client-core-10.1,
 mariadb-client-10.2, mariadb-client-core-10.2
Replaces: mysql,
 mysql-client-5.0, mysql-client-core-5.0,
 mysql-client-5.1, mysql-client-core-5.1,
 mysql-client-5.5, mysql-client-core-5.5,
 mysql-client-5.6, mysql-client-core-5.6,
 mysql-client-5.7, mysql-client-core-5.7,
 mysql-commercial-client,
 mysql-cluster-community-client, mysql-cluster-commercial-client,
 mysql-common (<< 5.7.17),
 libmysqlclient-dev (<< 5.7.14)
Provides: virtual-mysql-client, virtual-mysql-client-core
Description: MySQL Client
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the standard MySQL clients and
 administration tools.

Package: libmysqlclient20
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mysql-common (>= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: MySQL shared client libraries
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the shared libraries for MySQL client
 applications.

Package: mysql-common
Architecture: any
Pre-depends: debconf (>= 0.2.17), ${misc:Pre-Depends}
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql, mysql-server-5.6, mysql-server-core-5.6,
 mysql-client-5.6, mysql-client-core-5.6,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-client-5.7, mysql-client-core-5.7,
 mariadb-server-5.5, percona-xtradb-cluster-common-5.5,
 mysql-common (<< 5.7.14)
Replaces: mysql, mysql-server-5.5, mysql-server-core-5.5, libmysqlclient-dev,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-server-5.7, mysql-server-core-5.7,
 mariadb-server-5.5, percona-xtradb-cluster-common-5.5,
 mysql-common (<< 5.7.14)
Provides: mysql-common
Description: MySQL Common
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains common files needed by MySQL client
 library, MySQL database server, and MySQL embedded server.

Package: libmysqlclient-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient20 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: mysql-client-5.6, mysql-client-core-5.6,
 mysql-client-5.7, mysql-client-core-5.7
Description: MySQL development headers
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the development header files necessary
 to develop MySQL client applications.

Package: libmysqld-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient-dev (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: MySQL embedded server library
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the MySQL server as an embedded library.

Package: mysql-testsuite
Architecture: any
Depends: mysql-community-test (= ${binary:Version}), ${misc:Depends}
Description: MySQL Testsuite meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql test
 package available in the repository.

Package: mysql-community-test
Architecture: any
Depends: mysql-community-server (= ${binary:Version}),
 mysql-community-client (= ${binary:Version}), python,
 libmysqlclient-dev, ${shlibs:Depends}, ${misc:Depends}
Breaks: mysql-community-server (<< 5.7.14),
 mysql-community-client (<< 5.7.14)
Conflicts: mysql,
 mysql-testsuite-5.0, mysql-testsuite-5.1, mysql-testsuite-5.5,
 mysql-testsuite-5.6, mysql-testsuite-5.7, mysql-commercial-test,
 mariadb-test, mariadb-test-data
Description: MySQL Test Run MTR - The MySQL testsuite
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the MySQL regression test suite for MySQL
 database server.

Package: mysql-community-source
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MySQL source
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2015, 2017, Oracle and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

%:
	dh $@

export DH_VERBOSE=1
export CFLAGS=
export CXXFLAGS=

override_dh_auto_configure:
	@echo "RULES.$@"
	cmake . \
        -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_SSL=bundled \
		-DWITH_INNODB_MEMCACHED=1 \
		-DWITH_MECAB=system \
		-DWITH_NUMA=ON \
		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
		-DINSTALL_LAYOUT=DEB \
		-DDEB_PRODUCT=community \
		
	touch $@

override_dh_auto_build:
	@echo "RULES.$@"
	$(MAKE) -j8 VERBOSE=1
	touch $@

override_dh_auto_test:
	@echo "RULES.$@"
	touch $@

override_dh_auto_install:

	@echo "RULES.$@"
	# complete install first
	$(MAKE) install DESTDIR=debian/tmp
	# remove all redundant files
	rm debian/tmp/usr/lib/mysql-test/cmake_install.cmake
	rm debian/tmp/usr/lib/mysql-test/CTestTestfile.cmake
	rm debian/tmp/usr/lib/mysql-test/Makefile
	# add missing man pages
	install -g root -o root -m 0644 debian/extra/mysql_embedded.1 debian/tmp/usr/share/man/man1
	# add MySQL Server debug binary and library to package
	install -g root -o root -m 0755 debian/extra/server-binary debian/tmp/usr/sbin/mysqld-debug
	install -g root -o root -m 0755 debian/extra/embedded-server debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqld-debug.a
	# add debug plugin libraries to package
	install -g root -o root -m 0755 -d debian/tmp/usr/lib/mysql/plugin/debug
	for file in debian/extra/*-plugin; do NEW=`echo $$file | cut -d- -f1`; mv $$file $$NEW.so; done
	install -g root -o root -m 0755 debian/extra/*.so debian/tmp/usr/lib/mysql/plugin/debug
	install -g root -o root -m 0755 debian/extra/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
	# Add helper functions for maintainer scripts
	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
	# add apparmor profile
	install -g root -o root -m 0644 -D debian/extra/apparmor-profile debian/tmp/etc/apparmor.d/usr.sbin.mysqld
	# add systemd script
	install -m 0755 debian/extra/mysql-systemd-start debian/tmp/usr/share/mysql/
	# add directory for legal docs
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-server
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-server
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-client
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-client
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-common
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/libmysqlclient20
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/libmysqlclient-dev
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/libmysqld-dev
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-testsuite
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-test
	install -g root -o root -m 0755 -d debian/tmp/usr/share/doc/mysql-community-source
	
	# add COPYING file to each package
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-server/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-server/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-client/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-client/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-common/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqlclient20/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqlclient-dev/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/libmysqld-dev/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-testsuite/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-test/COPYING
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/COPYING debian/tmp/usr/share/doc/mysql-community-source/COPYING
	
	# add README file to each package
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-server/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-server/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-client/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-client/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-common/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqlclient20/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqlclient-dev/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/libmysqld-dev/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-testsuite/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-test/README
	install -g root -o root -m 0644 debian/tmp/usr/share/mysql/README debian/tmp/usr/share/doc/mysql-community-source/README
	
	touch $@

override_dh_installinit:
	@echo "RULES.$@"
	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
	dh_systemd_enable --name=mysql
	dh_installinit --name=mysql -- defaults 19 21
	dh_systemd_start --restart-after-upgrade
	touch $@

override_dh_install:
	dh_install --list-missing \
		-Xusr/bin/i_mysql_client_test \
		-Xusr/share/mysql/mysql.server \
		-Xusr/share/mysql/COPYING \
		-Xusr/share/mysql/README \
		-Xusr/share/mysql/docs/mysql.info \
		-Xusr/share/mysql/docs/INSTALL-BINARY \
		-Xusr/share/man/man1/mysqlman.1 \

## mysql-community 5.7.19

=== debian/changelog ===
mysql-community (5.7.19-1ubuntu17.04) zesty; urgency=low

  [ Akhil Mohan ]
  * new upstream release
  * Added new libtest_* plugins to source/include-binaries, mysql-*-test.install
  * added new plugin to source/include-binaries, mysql-*-test.install
    libtest_framework
    libtest_services
    libtest_services_threaded
    locking_service
    test_security_context
    version_token
  * added support for MECAB in
    d/{control,rules,mysql-*-server.install,source/include-binaries}
    (Closes: #20315007)
  * added automatic setup of ssl certs in
    d/mysql-*-server.mysql.init
    d/extra/mysql-systemd-start
    (Closes: #20650118)
  * removed pkg mysql-*-bench; sqlbench will not be packaged
    (Closes: #21303289)
  * removed cleanup statement for client lib symlinks *_r in d/rules
    (Closes: #21311067)

  [ Balasubramanian Kandasamy ]
  * Added mysqlpump man page to d/mysql-*-client.install
  * Added new decompression utilities lz4_decompress and zlib_decompress
    binaries.
  * Added mysqlx plugin

  [ Lars Tangvald ]
  * Added keyring directory and plugin

 -- Balasubramanian Kandasamy <balasubramanian.kandasamy@oracle.com>  Wed, 26 Aug 2015 15:20:12 +0530

=== debian/rules ===
--- 
+++ 
@@ -131,15 +131,18 @@
 	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
 	dh_systemd_enable --name=mysql
 	dh_installinit --name=mysql -- defaults 19 21
+	dh_installinit --name=mysql@ -- disable
 	dh_systemd_start --restart-after-upgrade
 	touch $@
 
 override_dh_install:
-	dh_install --list-missing \
+	dh_install --fail-missing \
 		-Xusr/bin/i_mysql_client_test \
 		-Xusr/share/mysql/mysql.server \
+		-Xusr/share/man/man1/mysql.server.1 \
+		-Xusr/share/mysql/binary-configure \
 		-Xusr/share/mysql/COPYING \
 		-Xusr/share/mysql/README \
 		-Xusr/share/mysql/docs/mysql.info \
-		-Xusr/share/mysql/docs/INSTALL-BINARY \
 		-Xusr/share/man/man1/mysqlman.1 \
+		-X.h.pp

## mysql-community 5.7.20

=== debian/changelog ===
mysql-community (5.7.20-1ubuntu16.04) xenial; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-20.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Wed, 13 Sep 2017 18:28:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,40 @@
 
 override_dh_auto_configure:
 	@echo "RULES.$@"
-	cmake . \
-        -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
+
+	
+	mkdir debug && cd debug && \
+	cmake .. \
+      -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
+		-DBUILD_CONFIG=mysql_release \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_BUILD_TYPE=Debug \
+		-DINSTALL_DOCDIR=share/mysql/docs \
+		-DINSTALL_DOCREADMEDIR=share/mysql \
+		-DINSTALL_INCLUDEDIR=include/mysql \
+		-DINSTALL_INFODIR=share/mysql/docs \
+		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		-DINSTALL_MANDIR=share/man \
+		-DINSTALL_MYSQLSHAREDIR=share/mysql \
+		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
+		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
+		-DINSTALL_SBINDIR=sbin \
+		-DINSTALL_SUPPORTFILESDIR=share/mysql \
+		-DSYSCONFDIR=/etc/mysql \
+		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
+		-DWITH_SSL=bundled \
+		-DWITH_INNODB_MEMCACHED=1 \
+		-DWITH_MECAB=system \
+		-DWITH_NUMA=ON \
+		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
+		-DINSTALL_LAYOUT=DEB \
+		-DDEB_PRODUCT=community \
+		
+
+
+	mkdir release && cd release && \
+	cmake .. \
+      -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DINSTALL_DOCDIR=share/mysql/docs \
@@ -49,10 +81,16 @@
 		-DINSTALL_LAYOUT=DEB \
 		-DDEB_PRODUCT=community \
 		
+
 	touch $@
 
 override_dh_auto_build:
 	@echo "RULES.$@"
+	
+	cd debug && \
+	$(MAKE) -j8 VERBOSE=1
+
+	cd release && \
 	$(MAKE) -j8 VERBOSE=1
 	touch $@
 
@@ -64,21 +102,14 @@
 
 	@echo "RULES.$@"
 	# complete install first
-	$(MAKE) install DESTDIR=debian/tmp
-	# remove all redundant files
-	rm debian/tmp/usr/lib/mysql-test/cmake_install.cmake
-	rm debian/tmp/usr/lib/mysql-test/CTestTestfile.cmake
-	rm debian/tmp/usr/lib/mysql-test/Makefile
+	cd release && \
+	$(MAKE) install DESTDIR=../debian/tmp
+	
+	# The ini file isn't built for debug, so copy over from the standard build
+	install -g root -o root -m 0755 debian/tmp/usr/lib/mysql/plugin/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
+
 	# add missing man pages
 	install -g root -o root -m 0644 debian/extra/mysql_embedded.1 debian/tmp/usr/share/man/man1
-	# add MySQL Server debug binary and library to package
-	install -g root -o root -m 0755 debian/extra/server-binary debian/tmp/usr/sbin/mysqld-debug
-	install -g root -o root -m 0755 debian/extra/embedded-server debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libmysqld-debug.a
-	# add debug plugin libraries to package
-	install -g root -o root -m 0755 -d debian/tmp/usr/lib/mysql/plugin/debug
-	for file in debian/extra/*-plugin; do NEW=`echo $$file | cut -d- -f1`; mv $$file $$NEW.so; done
-	install -g root -o root -m 0755 debian/extra/*.so debian/tmp/usr/lib/mysql/plugin/debug
-	install -g root -o root -m 0755 debian/extra/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug
 	# Add helper functions for maintainer scripts
 	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
 	# add apparmor profile

## mysql-community 5.7.21

=== debian/changelog ===
mysql-community (5.7.21-1ubuntu17.04) zesty; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-21.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Thu, 28 Dec 2017 05:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5)
+Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5) 
 
 
 Package: mysql-server
@@ -35,7 +35,16 @@
  mariadb-server-5.5, mariadb-server-core-5.5,
  mariadb-server-10.0, mariadb-server-core-10.0,
  mariadb-server-10.1, mariadb-server-core-10.1,
- mariadb-server-10.2, mariadb-server-core-10.2
+ mariadb-server-10.2, mariadb-server-core-10.2,
+ mysql-client-5.0, mysql-client-core-5.0,
+ mysql-client-5.1, mysql-client-core-5.1,
+ mysql-client-5.5, mysql-client-core-5.5,
+ mysql-client-5.6, mysql-client-core-5.6,
+ mysql-client-5.7, mysql-client-core-5.7,
+ mariadb-client-5.5, mariadb-client-core-5.5,
+ mariadb-client-10.0, mariadb-client-core-10.0,
+ mariadb-client-10.1, mariadb-client-core-10.1,
+ mariadb-client-10.2, mariadb-client-core-10.2
 Replaces: mysql,
  mysql-server-5.0, mysql-server-core-5.0,
  mysql-server-5.1, mysql-server-core-5.1,
@@ -82,7 +91,16 @@
  mariadb-client-5.5, mariadb-client-core-5.5,
  mariadb-client-10.0, mariadb-client-core-10.0,
  mariadb-client-10.1, mariadb-client-core-10.1,
- mariadb-client-10.2, mariadb-client-core-10.2
+ mariadb-client-10.2, mariadb-client-core-10.2,
+ mysql-server-5.0, mysql-server-core-5.0,
+ mysql-server-5.1, mysql-server-core-5.1,
+ mysql-server-5.5, mysql-server-core-5.5,
+ mysql-server-5.6, mysql-server-core-5.6,
+ mysql-server-5.7, mysql-server-core-5.7,
+ mariadb-server-5.5, mariadb-server-core-5.5,
+ mariadb-server-10.0, mariadb-server-core-10.0,
+ mariadb-server-10.1, mariadb-server-core-10.1,
+ mariadb-server-10.2, mariadb-server-core-10.2,
 Replaces: mysql,
  mysql-client-5.0, mysql-client-core-5.0,
  mysql-client-5.1, mysql-client-core-5.1,

## mysql-community 5.7.22

=== debian/changelog ===
mysql-community (5.7.22-1ubuntu16.04) xenial; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-22.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Sun, 04 Mar 2018 14:56:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5) 
+Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5)
 
 
 Package: mysql-server
@@ -202,7 +202,7 @@
 Architecture: any
 Depends: mysql-community-server (= ${binary:Version}),
  mysql-community-client (= ${binary:Version}), python,
- libmysqlclient-dev, ${shlibs:Depends}, ${misc:Depends}
+ libmysqlclient-dev, libjson-perl, ${shlibs:Depends}, ${misc:Depends}
 Breaks: mysql-community-server (<< 5.7.14),
  mysql-community-client (<< 5.7.14)
 Conflicts: mysql,

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2015, 2018, Oracle and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

%:
	dh $@

export DH_VERBOSE=1
export CFLAGS=
export CXXFLAGS=

override_dh_auto_configure:
	@echo "RULES.$@"

	
	mkdir debug && cd debug && \
	cmake .. \
      -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Debug \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_SSL=bundled \
		-DWITH_INNODB_MEMCACHED=1 \
		-DWITH_MECAB=system \
		-DWITH_NUMA=ON \
		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
		-DINSTALL_LAYOUT=DEB \
		-DDEB_PRODUCT=community \
		


	mkdir release && cd release && \
	cmake .. \
      -DWITH_BOOST=/usr/global/share -DWITH_GMOCK=/usr/global/share \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_SSL=bundled \
		-DWITH_INNODB_MEMCACHED=1 \
		-DWITH_MECAB=system \
		-DWITH_NUMA=ON \
		-DCOMPILATION_COMMENT="MySQL Community Server (GPL)" \
		-DINSTALL_LAYOUT=DEB \
		-DDEB_PRODUCT=community \
		

	touch $@

override_dh_auto_build:
	@echo "RULES.$@"
	
	cd debug && \
	$(MAKE) -j8 VERBOSE=1

	cd release && \
	$(MAKE) -j8 VERBOSE=1
	touch $@

override_dh_auto_test:
	@echo "RULES.$@"
	export CTEST_OUTPUT_ON_FAILURE=1
	cd release && \
	make test || true
	touch $@

override_dh_auto_install:

	@echo "RULES.$@"
	# complete install first
	cd release && \
	$(MAKE) install DESTDIR=../debian/tmp
	
	# The ini file isn't built for debug, so copy over from the standard build
	install -g root -o root -m 0755 debian/tmp/usr/lib/mysql/plugin/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug

	# add missing man pages
	install -g root -o root -m 0644 debian/extra/mysql_embedded.1 debian/tmp/usr/share/man/man1
	# Add helper functions for maintainer scripts
	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
	# add apparmor profile
	install -g root -o root -m 0644 -D debian/extra/apparmor-profile debian/tmp/etc/apparmor.d/usr.sbin.mysqld
	# add systemd script
	install -m 0755 debian/extra/mysql-systemd-start debian/tmp/usr/share/mysql/

	touch $@

override_dh_installinit:
	@echo "RULES.$@"
	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
	dh_systemd_enable --name=mysql
	dh_installinit --name=mysql -- defaults 19 21
	dh_installinit --name=mysql@ -- disable
	dh_systemd_start --restart-after-upgrade
	touch $@

override_dh_install:
	dh_install --fail-missing \
		-Xusr/bin/i_mysql_client_test \
		-Xusr/share/mysql/mysql.server \
		-Xusr/share/man/man1/mysql.server.1 \
		-Xusr/share/mysql/binary-configure \
		-Xusr/share/mysql/COPYING-test \
		-Xusr/share/mysql/README-test \
		-Xusr/share/mysql/docs/mysql.info \
		-Xusr/share/man/man1/mysqlman.1 \
		-X.h.pp

## mysql-community 5.7.23

=== debian/changelog ===
mysql-community (5.7.23-1debian8) jessie; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-23.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 08 Jun 2018 12:31:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-apparmor, dh-systemd (>=1.5)
+Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-systemd
 
 
 Package: mysql-server

=== debian/rules ===
--- 
+++ 
@@ -116,7 +116,7 @@
 	# Add helper functions for maintainer scripts
 	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
 	# add apparmor profile
-	install -g root -o root -m 0644 -D debian/extra/apparmor-profile debian/tmp/etc/apparmor.d/usr.sbin.mysqld
+	
 	# add systemd script
 	install -m 0755 debian/extra/mysql-systemd-start debian/tmp/usr/share/mysql/
 
@@ -124,7 +124,7 @@
 
 override_dh_installinit:
 	@echo "RULES.$@"
-	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
+	
 	dh_systemd_enable --name=mysql
 	dh_installinit --name=mysql -- defaults 19 21
 	dh_installinit --name=mysql@ -- disable

## mysql-community 5.7.24

=== debian/changelog ===
mysql-community (5.7.24-1ubuntu18.10) cosmic; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-24.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Thu, 04 Oct 2018 08:05:43 +0200

## mysql-community 5.7.25

=== debian/changelog ===
mysql-community (5.7.25-1debian8) jessie; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-25.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 21 Dec 2018 12:42:21 +0100

=== debian/control ===
--- 
+++ 
@@ -228,3 +228,28 @@
  Oracle.
 
 
+Package: libmysqlclient20-dbgsym
+Architecture: any
+Section: debug
+Depends: libmysqlclient20 (=${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for client library
+
+Package: mysql-community-test-dbgsym
+Architecture: any
+Section: debug
+Depends: mysql-community-test (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for test suite
+
+Package: mysql-community-server-dbgsym
+Architecture: any
+Section: debug
+Depends: mysql-community-server (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for server
+
+Package: mysql-community-client-dbgsym
+Architecture: any
+Section: debug
+Depends: mysql-community-client (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for client
+
+

=== debian/rules ===
--- 
+++ 
@@ -101,6 +101,18 @@
 	make test || true
 	touch $@
 
+
+override_dh_strip:
+	dh_strip -pmysql-community-server --dbg-package=mysql-community-server-dbgsym
+	dh_strip -pmysql-community-client --dbg-package=mysql-community-client-dbgsym
+	dh_strip -pmysql-community-test --dbg-package=mysql-community-test-dbgsym
+	dh_strip -pmysql-server
+	dh_strip -pmysql-client
+	dh_strip -pmysql-testsuite
+	dh_strip -plibmysqlclient20 --dbg-package=libmysqlclient20-dbgsym
+	dh_strip -plibmysqlclient-dev
+
+
 override_dh_auto_install:
 
 	@echo "RULES.$@"

## mysql-community 5.7.26

=== extra/CMakeLists.txt ===
# Copyright (c) 2006, 2018, Oracle and/or its affiliates. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/include 
${LZ4_INCLUDE_DIR}
# Following is for perror, in case NDB is compiled in.
${CMAKE_SOURCE_DIR}/storage/ndb/include
${CMAKE_BINARY_DIR}/storage/ndb/include
${CMAKE_SOURCE_DIR}/storage/ndb/include/ndbapi
${CMAKE_SOURCE_DIR}/storage/ndb/include/mgmapi)

INCLUDE(${MYSQL_CMAKE_SCRIPT_DIR}/compile_flags.cmake)

# Default install component for the files is Server here
SET(MYSQL_INSTALL_COMPONENT Server)

IF(NOT CMAKE_CROSSCOMPILING)
 ADD_EXECUTABLE(comp_err comp_err.c)
 TARGET_LINK_LIBRARIES(comp_err mysys mysys_ssl)
 SET_TARGET_PROPERTIES(comp_err PROPERTIES LINKER_LANGUAGE CXX)
ENDIF()

IF (BUILD_BUNDLED_LZ4)
  ADD_CONVENIENCE_LIBRARY(lz4_lib
    lz4/lz4.c
    lz4/lz4frame.c
    lz4/lz4hc.c
    lz4/xxhash.c
  )
ENDIF()

ADD_CUSTOM_COMMAND(OUTPUT ${PROJECT_BINARY_DIR}/include/mysqld_error.h 
                   ${PROJECT_BINARY_DIR}/sql/share/english/errmsg.sys
                   COMMAND comp_err
                    --charset=${PROJECT_SOURCE_DIR}/sql/share/charsets 
                    --out-dir=${PROJECT_BINARY_DIR}/sql/share/
                    --header_file=${PROJECT_BINARY_DIR}/include/mysqld_error.h 
                    --name_file=${PROJECT_BINARY_DIR}/include/mysqld_ername.h
                    --state_file=${PROJECT_BINARY_DIR}/include/sql_state.h
                    --in_file=${PROJECT_SOURCE_DIR}/sql/share/errmsg-utf8.txt
                   DEPENDS ${PROJECT_SOURCE_DIR}/sql/share/errmsg-utf8.txt
                   ${CMAKE_CURRENT_SOURCE_DIR}/comp_err.c)

ADD_CUSTOM_TARGET(GenError
                  ALL
                  DEPENDS 
                  ${PROJECT_BINARY_DIR}/include/mysqld_error.h
                  ${PROJECT_BINARY_DIR}/sql/share/english/errmsg.sys 
                  ${PROJECT_SOURCE_DIR}/sql/share/errmsg-utf8.txt)

# Set InnoDB mutex type
ADD_DEFINITIONS(-DMUTEX_EVENT)

## Most executables depend on libeay32.dll (through mysys_ssl).
## For 'comp_err' we need it to be available during build.
COPY_OPENSSL_DLLS(copy_openssl_extra)
IF (WIN32 AND WITH_SSL_PATH AND HAVE_CRYPTO_DLL)
  ADD_DEPENDENCIES(GenError copy_openssl_extra)
ENDIF()


MYSQL_ADD_EXECUTABLE(my_print_defaults my_print_defaults.c)
TARGET_LINK_LIBRARIES(my_print_defaults  mysys mysys_ssl)
SET_TARGET_PROPERTIES(my_print_defaults PROPERTIES LINKER_LANGUAGE CXX)

MYSQL_ADD_EXECUTABLE(perror perror.c)
ADD_DEPENDENCIES(perror GenError)
TARGET_LINK_LIBRARIES(perror mysys mysys_ssl)
SET_TARGET_PROPERTIES(perror PROPERTIES LINKER_LANGUAGE CXX)

MYSQL_ADD_EXECUTABLE(resolveip resolveip.c)
TARGET_LINK_LIBRARIES(resolveip mysys mysys_ssl)
SET_TARGET_PROPERTIES(resolveip PROPERTIES LINKER_LANGUAGE CXX)
IF(CMAKE_SYSTEM_NAME STREQUAL "SunOS")
  INCLUDE(CheckFunctionExists)
  INCLUDE(CheckLibraryExists)
  MY_SEARCH_LIBS(inet_aton  "nsl;socket;resolv" SOLARIS_NSL)
  TARGET_LINK_LIBRARIES(resolveip ${SOLARIS_NSL})
ENDIF()


MYSQL_ADD_EXECUTABLE(replace replace.c)
TARGET_LINK_LIBRARIES(replace mysys)

MYSQL_ADD_EXECUTABLE(lz4_decompress lz4_decompress.cc)
TARGET_LINK_LIBRARIES(lz4_decompress ${LZ4_LIBRARY})

MYSQL_ADD_EXECUTABLE(zlib_decompress zlib_decompress.cc)
TARGET_LINK_LIBRARIES(zlib_decompress ${ZLIB_LIBRARY})

IF(WITH_INNOBASE_STORAGE_ENGINE)

  IF(LZ4_INCLUDE_DIR AND LZ4_LIBRARY)
    ADD_DEFINITIONS(-DHAVE_LZ4=1)
    INCLUDE_DIRECTORIES(${LZ4_INCLUDE_DIR})
  ENDIF()

  # Add path to the InnoDB headers
  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/storage/innobase/include
    ${CMAKE_SOURCE_DIR}/sql
  )
  # We use the InnoDB code directly in case the code changes.
  ADD_DEFINITIONS("-DUNIV_INNOCHECKSUM")
  SET(INNOBASE_SOURCES
      ../storage/innobase/buf/buf0checksum.cc
      ../storage/innobase/ut/ut0crc32.cc
      ../storage/innobase/ut/ut0ut.cc
      ../storage/innobase/buf/buf0buf.cc
      ../storage/innobase/page/page0zip.cc
      ../storage/innobase/os/os0file.cc
     )

  # Avoid generating Hardware Capabilities due to crc32 instructions
  IF(CMAKE_SYSTEM_NAME MATCHES "SunOS" AND
     CMAKE_SYSTEM_PROCESSOR MATCHES "i386")
    INCLUDE(${MYSQL_CMAKE_SCRIPT_DIR}/compile_flags.cmake)
    MY_CHECK_CXX_COMPILER_FLAG("-Wa,-nH" HAVE_WA_NH)
    IF(HAVE_WA_NH)
      ADD_COMPILE_FLAGS(
        ../storage/innobase/ut/ut0crc32.cc
        COMPILE_FLAGS "-Wa,-nH"
      )
    ENDIF()
  ENDIF()

  MYSQL_ADD_EXECUTABLE(innochecksum innochecksum.cc ${INNOBASE_SOURCES})
  TARGET_LINK_LIBRARIES(innochecksum mysys mysys_ssl ${LZ4_LIBRARY})
  ADD_DEPENDENCIES(innochecksum GenError)
ENDIF()

IF(UNIX)
  MYSQL_ADD_EXECUTABLE(resolve_stack_dump resolve_stack_dump.cc)
  TARGET_LINK_LIBRARIES(resolve_stack_dump mysys mysys_ssl)
ENDIF()

# In published release builds on Solaris, we need to bundle gcc source.
# PB2 will take care of putting it in extra/ when needed
IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/gcc-4.8.1.tar.bz2)
  INSTALL(FILES gcc-4.8.1.tar.bz2 
          DESTINATION ${INSTALL_MYSQLSHAREDIR} COMPONENT Development)
ENDIF()

=== debian/changelog ===
mysql-community (5.7.26-1ubuntu19.04) disco; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-26.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Sat, 13 Apr 2019 17:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, dh-systemd
+Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, , dh-apparmor, dh-systemd (>=1.5)
 
 
 Package: mysql-server
@@ -228,28 +228,4 @@
  Oracle.
 
 
-Package: libmysqlclient20-dbgsym
-Architecture: any
-Section: debug
-Depends: libmysqlclient20 (=${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for client library
-
-Package: mysql-community-test-dbgsym
-Architecture: any
-Section: debug
-Depends: mysql-community-test (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for test suite
-
-Package: mysql-community-server-dbgsym
-Architecture: any
-Section: debug
-Depends: mysql-community-server (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for server
-
-Package: mysql-community-client-dbgsym
-Architecture: any
-Section: debug
-Depends: mysql-community-client (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for client
-
-
+

=== debian/rules ===
--- 
+++ 
@@ -102,16 +102,6 @@
 	touch $@
 
 
-override_dh_strip:
-	dh_strip -pmysql-community-server --dbg-package=mysql-community-server-dbgsym
-	dh_strip -pmysql-community-client --dbg-package=mysql-community-client-dbgsym
-	dh_strip -pmysql-community-test --dbg-package=mysql-community-test-dbgsym
-	dh_strip -pmysql-server
-	dh_strip -pmysql-client
-	dh_strip -pmysql-testsuite
-	dh_strip -plibmysqlclient20 --dbg-package=libmysqlclient20-dbgsym
-	dh_strip -plibmysqlclient-dev
-
 
 override_dh_auto_install:
 
@@ -129,6 +119,8 @@
 	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
 	# add apparmor profile
 	
+	install -g root -o root -m 0644 -D debian/extra/apparmor-profile debian/tmp/etc/apparmor.d/usr.sbin.mysqld
+  
 	# add systemd script
 	install -m 0755 debian/extra/mysql-systemd-start debian/tmp/usr/share/mysql/
 
@@ -137,6 +129,8 @@
 override_dh_installinit:
 	@echo "RULES.$@"
 	
+	dh_apparmor -pmysql-community-server --profile-name=usr.sbin.mysqld
+  
 	dh_systemd_enable --name=mysql
 	dh_installinit --name=mysql -- defaults 19 21
 	dh_installinit --name=mysql@ -- disable

## mysql-community 5.7.27

=== debian/changelog ===
mysql-community (5.7.27-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-27.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Mon, 10 Jun 2019 16:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 3.9.6
 Homepage: http://www.mysql.com/
-Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, , dh-apparmor, dh-systemd (>=1.5)
+Build-Depends: debhelper (>= 9.0.0), libaio-dev[linux-any], libncurses5-dev (>= 5.0-6), libjson-perl, libldap2-dev, libsasl2-dev, perl, zlib1g-dev (>= 1:1.1.3-5), po-debconf, psmisc, bison, lsb-release, cmake, fakeroot, libnuma-dev, libmecab-dev, , dh-systemd
 
 
 Package: mysql-server
